datacenter = "dc1"
region = "h1"
data_dir  = "/opt/nomad"
bind_addr = "{{ ipv4_internal }}"

server {
  enabled = true
  bootstrap_expect = 3
}

consul {
  token = "{{ consul_management_token[1:-1] }}"
  allow_unauthenticated = false
}

{% if acl_enabled is true %}
acl {
  enabled = true
}
{% endif %}

tls {
  http = true
  rpc  = true

  ca_file = "/etc/pki/ca-trust/source/anchors/hetzner_aditronic_bootstrap.pem"
  cert_file = "/etc/pki/tls/certs/hostcert.pem"
  key_file = "/etc/pki/tls/private/hostkey.pem"
}
